DBusCredentials Struct Reference
D-Bus secret internal implementation details » Credentials implementation details

## Data Fields

int | refcount
dbus_uid_t | unix_uid
dbus_gid_t * | unix_gids
size_t | n_unix_gids
dbus_pid_t | pid
int | pid_fd
char * | windows_sid
char * | linux_security_label
void * | adt_audit_data
dbus_int32_t | adt_audit_data_size

## Detailed Description

Definition at line 60 of file dbus-credentials.c.

## Field Documentation

## adt_audit_data

void* DBusCredentials::adt_audit_data

Definition at line 69 of file dbus-credentials.c.

## adt_audit_data_size

dbus_int32_t DBusCredentials::adt_audit_data_size

Definition at line 70 of file dbus-credentials.c.

## linux_security_label

char* DBusCredentials::linux_security_label

Definition at line 68 of file dbus-credentials.c.

## n_unix_gids

size_t DBusCredentials::n_unix_gids

Definition at line 64 of file dbus-credentials.c.

## pid

dbus_pid_t DBusCredentials::pid

Definition at line 65 of file dbus-credentials.c.

## pid_fd

int DBusCredentials::pid_fd

Definition at line 66 of file dbus-credentials.c.

## refcount

int DBusCredentials::refcount

Definition at line 61 of file dbus-credentials.c.

## unix_gids

dbus_gid_t* DBusCredentials::unix_gids

Definition at line 63 of file dbus-credentials.c.

## unix_uid

dbus_uid_t DBusCredentials::unix_uid

Definition at line 62 of file dbus-credentials.c.

## windows_sid

char* DBusCredentials::windows_sid

Definition at line 67 of file dbus-credentials.c.

The documentation for this struct was generated from the following file:

- dbus-credentials.c